// Adobe Illustrator CS4-CS5 Layer Library
// By KaZuhiro FuRuhata
// 2011.3.9

// レイヤー＆サブレイヤーを含めて全て取得するメソッド
var $$ = {};
$$.layer = $$.layer || {
	// ------------------------------------------------------------------------------------
	// レイヤー一覧を取得
	// ------------------------------------------------------------------------------------
	getLayers : function(){
		var allList = [];
		getLayerList(app.activeDocument.layers);
		return allList;
		
		// パラメータが配列の場合
		function getLayerList(currentLayer){
			for(var i=0; i<currentLayer.length; i++){
				allList.push(currentLayer[i]);
				if (currentLayer[i].layers.length > 0){
					getLayerList(currentLayer[i].layers);
				}
			}
		}
	}
}